bin/homedir-setup

changeset 285
fefaa23c064c
parent 275
c636b6086bb2
child 328
b3b18ced6949
--- a/bin/homedir-setup
+++ b/bin/homedir-setup
@@ -1,8 +1,13 @@
 #!/bin/sh
 set -eu
 
+if [ ! -f .zshrc ]; then
+  echo "Refusing to run without a .zshrc nearby" >&2
+  exit 1
+fi
+
 if ! git --version >/dev/null; then
-  echo "Please install git!"
+  echo "Please install git!" >&2
   exit 1
 fi
 

mercurial